
data:extend({
    {
        type = "double-setting",
        name = "hextorio-base-resource-richness",
        setting_type = "runtime-global",
        default_value = 1.0,
        minimum_value = 0.01,
        maximum_value = 100.0,
        order = "da",
    },
    {
        type = "double-setting",
        name = "hextorio-resource-richness-per-dist-nauvis",
        setting_type = "runtime-global",
        default_value = 50.0,
        minimum_value = -1000.0,
        maximum_value = 1000.0,
        order = "dba",
    },
    {
        type = "double-setting",
        name = "hextorio-resource-richness-per-dist-vulcanus",
        setting_type = "runtime-global",
        default_value = 75.0,
        minimum_value = -1000.0,
        maximum_value = 1000.0,
        order = "dbb",
    },
    {
        type = "double-setting",
        name = "hextorio-resource-richness-per-dist-fulgora",
        setting_type = "runtime-global",
        default_value = 100.0,
        minimum_value = -1000.0,
        maximum_value = 1000.0,
        order = "dbc",
    },
    {
        type = "double-setting",
        name = "hextorio-resource-richness-per-dist-gleba",
        setting_type = "runtime-global",
        default_value = 25.0,
        minimum_value = -1000.0,
        maximum_value = 1000.0,
        order = "dbd",
    },
    {
        type = "double-setting",
        name = "hextorio-resource-richness-per-dist-aquilo",
        setting_type = "runtime-global",
        default_value = 50.0,
        minimum_value = -1000.0,
        maximum_value = 1000.0,
        order = "dbe",
    },

    {
        type = "double-setting",
        name = "hextorio-iron-ore-frequency",
        setting_type = "runtime-global",
        default_value = 6.0,
        minimum_value = 0.0,
        maximum_value = 24.0,
        order = "ga",
    },
    {
        type = "double-setting",
        name = "hextorio-copper-ore-frequency",
        setting_type = "runtime-global",
        default_value = 4.5,
        minimum_value = 0.0,
        maximum_value = 24.0,
        order = "gb",
    },
    {
        type = "double-setting",
        name = "hextorio-nauvis-coal-frequency",
        setting_type = "runtime-global",
        default_value = 2.5,
        minimum_value = 0.0,
        maximum_value = 24.0,
        order = "gc",
    },
    {
        type = "double-setting",
        name = "hextorio-nauvis-stone-frequency",
        setting_type = "runtime-global",
        default_value = 2.0,
        minimum_value = 0.0,
        maximum_value = 24.0,
        order = "gd",
    },
    {
        type = "double-setting",
        name = "hextorio-nauvis-crude-oil-frequency",
        setting_type = "runtime-global",
        default_value = 1.0,
        minimum_value = 0.0,
        maximum_value = 24.0,
        order = "ge",
    },
    {
        type = "double-setting",
        name = "hextorio-uranium-ore-frequency",
        setting_type = "runtime-global",
        default_value = 1.0,
        minimum_value = 0.0,
        maximum_value = 24.0,
        order = "gf",
    },
    {
        type = "double-setting",
        name = "hextorio-vulcanus-coal-frequency",
        setting_type = "runtime-global",
        default_value = 3.0,
        minimum_value = 0.0,
        maximum_value = 24.0,
        order = "gg",
    },
    {
        type = "double-setting",
        name = "hextorio-calcite-frequency",
        setting_type = "runtime-global",
        default_value = 0.5,
        minimum_value = 0.0,
        maximum_value = 24.0,
        order = "gh",
    },
    {
        type = "double-setting",
        name = "hextorio-tungsten-ore-frequency",
        setting_type = "runtime-global",
        default_value = 0.5,
        minimum_value = 0.0,
        maximum_value = 24.0,
        order = "gi",
    },
    {
        type = "double-setting",
        name = "hextorio-aquilo-crude-oil-frequency",
        setting_type = "runtime-global",
        default_value = 1.0,
        minimum_value = 0.0,
        maximum_value = 24.0,
        order = "gj",
    },
    {
        type = "double-setting",
        name = "hextorio-lithium-brine-frequency",
        setting_type = "runtime-global",
        default_value = 3.0,
        minimum_value = 0.0,
        maximum_value = 24.0,
        order = "gk",
    },
    {
        type = "double-setting",
        name = "hextorio-fluorine-vent-frequency",
        setting_type = "runtime-global",
        default_value = 3.0,
        minimum_value = 0.0,
        maximum_value = 24.0,
        order = "gl",
    },

    {
        type = "int-setting",
        name = "hextorio-min-uranium-dist",
        setting_type = "runtime-global",
        default_value = 4,
        minimum_value = 1,
        maximum_value = 100,
        order = "ia",
    },
    {
        type = "int-setting",
        name = "hextorio-min-tungsten-dist",
        setting_type = "runtime-global",
        default_value = 6,
        minimum_value = 1,
        maximum_value = 100,
        order = "ia",
    },

    {
        type = "double-setting",
        name = "hextorio-resource-bias",
        setting_type = "runtime-global",
        default_value = 4.0,
        order = "ja",
    },
    {
        type = "bool-setting",
        name = "hextorio-resource-bias-variation",
        setting_type = "runtime-global",
        default_value = true,
        order = "jb",
    },

    {
        type = "double-setting",
        name = "hextorio-starting-hex-resource-stroke-width-nauvis",
        setting_type = "runtime-global",
        default_value = 2.0,
        minimum_value = 1.0,
        maximum_value = 10.0,
        order = "kaa",
    },
    {
        type = "double-setting",
        name = "hextorio-starting-hex-resource-stroke-width-vulcanus",
        setting_type = "runtime-global",
        default_value = 7.0,
        minimum_value = 1.0,
        maximum_value = 10.0,
        order = "kab",
    },
    {
        type = "double-setting",
        name = "hextorio-starting-hex-resource-stroke-width-fulgora",
        setting_type = "runtime-global",
        default_value = 3.0,
        minimum_value = 1.0,
        maximum_value = 10.0,
        order = "kac",
    },
    {
        type = "double-setting",
        name = "hextorio-starting-hex-resource-stroke-width-gleba",
        setting_type = "runtime-global",
        default_value = 2.0,
        minimum_value = 1.0,
        maximum_value = 10.0,
        order = "kad",
    },
    {
        type = "double-setting",
        name = "hextorio-base-resource-width-nauvis",
        setting_type = "runtime-global",
        default_value = 1,
        minimum_value = 1,
        order = "kba",
    },
    {
        type = "double-setting",
        name = "hextorio-base-resource-width-vulcanus",
        setting_type = "runtime-global",
        default_value = 4,
        minimum_value = 1,
        order = "kbb",
    },
    {
        type = "double-setting",
        name = "hextorio-base-resource-width-fulgora",
        setting_type = "runtime-global",
        default_value = 3,
        minimum_value = 1,
        order = "kbc",
    },
    {
        type = "double-setting",
        name = "hextorio-base-resource-width-gleba",
        setting_type = "runtime-global",
        default_value = 1,
        minimum_value = 1,
        order = "kbd",
    },
    {
        type = "double-setting",
        name = "hextorio-resource-width-per-dist-nauvis",
        setting_type = "runtime-global",
        default_value = 0.125,
        order = "kca",
    },
    {
        type = "double-setting",
        name = "hextorio-resource-width-per-dist-vulcanus",
        setting_type = "runtime-global",
        default_value = 0.375,
        order = "kcb",
    },
    {
        type = "double-setting",
        name = "hextorio-resource-width-per-dist-fulgora",
        setting_type = "runtime-global",
        default_value = 0.125,
        order = "kcc",
    },
    {
        type = "double-setting",
        name = "hextorio-resource-width-per-dist-gleba",
        setting_type = "runtime-global",
        default_value = 0.125,
        order = "kcd", -- just missing an "x" lol
    },
    {
        type = "double-setting",
        name = "hextorio-resource-width-max-nauvis",
        setting_type = "runtime-global",
        minimum_value = 1,
        default_value = 8,
        order = "kda",
    },
    {
        type = "double-setting",
        name = "hextorio-resource-width-max-vulcanus",
        setting_type = "runtime-global",
        minimum_value = 1,
        default_value = 16,
        order = "kdb",
    },
    {
        type = "double-setting",
        name = "hextorio-resource-width-max-fulgora",
        setting_type = "runtime-global",
        minimum_value = 1,
        default_value = 6,
        order = "kdc",
    },
    {
        type = "double-setting",
        name = "hextorio-resource-width-max-gleba",
        setting_type = "runtime-global",
        default_value = 4,
        minimum_value = 1,
        order = "kdd",
    },

    {
        type = "bool-setting",
        name = "hextorio-starting-resources-mixed",
        setting_type = "runtime-global",
        default_value = true,
        order = "ma",
    },
    {
        type = "bool-setting",
        name = "hextorio-default-resources-mixed",
        setting_type = "runtime-global",
        default_value = true,
        order = "mb",
    },

    {
        type = "double-setting",
        name = "hextorio-supercharge-cost-per-tile",
        setting_type = "runtime-global",
        minimum_value = 0,
        default_value = 50,
        order = "pa",
    },
    {
        type = "double-setting",
        name = "hextorio-supercharge-cost-per-well",
        setting_type = "runtime-global",
        minimum_value = 0,
        default_value = 400000,
        order = "pb",
    },
    {
        type = "double-setting",
        name = "hextorio-supercharge-cost-multiplier",
        setting_type = "runtime-global",
        minimum_value = 0,
        default_value = 0.025,
        order = "pc",
    },
})
